/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __GPS_GL_H
#define __GPS_GL_H

#include<GL/gl.h>
#include<GL/glu.h>
#include<GL/glut.h>
#include<gps.h>

GLint gps_gl_xz_grid(double x_min, double x_max, double z_min, double z_max, double elevation, int x_lines, int z_lines);
GLint gps_gl_axis(double axis_radius, double axis_length, double arrow_radius, double arrow_length);
void gps_gl_draw_particle(PARTICLE *particle);
void gps_gl_draw_particle_bounding_box(PARTICLE *particle);

#endif
