/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __MAIN_WINDOW_H
#define __MAIN_WINDOW_H

#include<gtk/gtk.h>
#include<gps.h>

#define MAX_FILE_NAME_LENGTH    256
typedef struct {
        GtkWidget *window;
        GtkWidget *menu_bar;
        GtkWidget *toolbar;
        GtkWidget *particles_clist;
        GtkWidget *gl_area;
        GtkWidget *statusbar;
        
        GPS *gps;
        
        gboolean gps_saved;
        gchar gps_file_name[MAX_FILE_NAME_LENGTH];
        gboolean gps_modified;
        
        PARTICLE *selected_particle;
        
        gboolean running;
        gint timeout_tag;
        gint update_interval;
                
        /* OpenGL stuff */
        gboolean show_grid;
        gboolean show_axis;
        
        GLint grid;
        GLint axis;
        VECTOR dragging;
        
        
        
        
} MAIN_WINDOW;

MAIN_WINDOW *main_window_new(gchar *title);
void main_window_show(MAIN_WINDOW *main_window);
void main_window_free(MAIN_WINDOW *main_window);

#endif
