/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __MESSAGE_DIALOG_H
#define __MESSAGE_DIALOG_H

#include<gtk/gtk.h>

#define OK_BUTTON       0x01
#define YES_BUTTON      0x02
#define NO_BUTTON       0x04
#define CANCEL_BUTTON   0x08

#define ID_OK           OK_BUTTON
#define ID_YES          YES_BUTTON
#define ID_NO           NO_BUTTON
#define ID_CANCEL       CANCEL_BUTTON

typedef struct {
        gint result;
} MESSAGE_DIALOG_DATA;

typedef struct {
        GtkWidget *window;
        
        MESSAGE_DIALOG_DATA data;
} MESSAGE_DIALOG;


MESSAGE_DIALOG *message_dialog_new(gchar *title, gchar *message, gint flag);
void message_dialog_show(MESSAGE_DIALOG *message_dialog);
MESSAGE_DIALOG_DATA *message_dialog_get_data(MESSAGE_DIALOG *message_dialog);
void message_dialog_free(MESSAGE_DIALOG *message_dialog);

#endif
