/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __PARTICLE_INFO_DIALOG_H
#define __PARTICLE_INFO_DIALOG_H

#include<gtk/gtk.h>
#include<gps.h>

typedef struct {
        gint result;
        PARTICLE particle;
} PARTICLE_INFO_DIALOG_DATA;

typedef struct {
        GtkWidget *window;
        GtkWidget *name;
        GtkWidget *mass;
        GdkColor color;
        GtkWidget *color_area;        
        GtkWidget *position_x;
        GtkWidget *position_y;
        GtkWidget *position_z;
        GtkWidget *velocity_x;
        GtkWidget *velocity_y;
        GtkWidget *velocity_z;
        
        PARTICLE_INFO_DIALOG_DATA data;
} PARTICLE_INFO_DIALOG;


PARTICLE_INFO_DIALOG *particle_info_dialog_new(gchar *title, PARTICLE *particle);
void particle_info_dialog_show(PARTICLE_INFO_DIALOG *particle_info_dialog);
PARTICLE_INFO_DIALOG_DATA *particle_info_dialog_get_data(PARTICLE_INFO_DIALOG *particle_info_dialog);
void particle_info_dialog_free(PARTICLE_INFO_DIALOG *particle_info_dialog);

#endif
