/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __SETTINGS_DIALOG_H
#define __SETTINGS_DIALOG_H

#include<gtk/gtk.h>
#include<message_dialog.h>
#include<gps.h>

typedef struct {
        gint result;
        double g;
        double step_size;
        gint variable_step_size;
        double max_step_size;
        double separation;
} SETTINGS_DIALOG_DATA;

typedef struct {
        GtkWidget *window;
        GtkWidget *g;
        GtkWidget *step_size;
        GtkWidget *variable_step_size;
        GtkWidget *max_step_size;
        GtkWidget *separation;
        
        
        SETTINGS_DIALOG_DATA data;
} SETTINGS_DIALOG;


SETTINGS_DIALOG *settings_dialog_new(GPS *gps);
void settings_dialog_show(SETTINGS_DIALOG *settings_dialog);
SETTINGS_DIALOG_DATA *settings_dialog_get_data(SETTINGS_DIALOG *settings_dialog);
void settings_dialog_free(SETTINGS_DIALOG *settings_dialog);

#endif
