/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include<math.h>
#include<vector.h>

void vector_set(VECTOR *v, double x, double y, double z) {
        v->x = x;
        v->y = y;
        v->z = z;
};

void vector_copy(VECTOR *dst, VECTOR *src) {
        dst->x = src->x;
        dst->y = src->y;
        dst->z = src->z;
};

void vector_add(VECTOR *res, VECTOR *v1, VECTOR *v2) {
        res->x = v1->x + v2->x;
        res->y = v1->y + v2->y;
        res->z = v1->z + v2->z;
};

void vector_sub(VECTOR *res, VECTOR *v1, VECTOR *v2) {
        res->x = v1->x - v2->x;
        res->y = v1->y - v2->y;
        res->z = v1->z - v2->z;
};

void vector_scale(VECTOR *res, double a, VECTOR *v) {
        res->x = a * v->x;
        res->y = a * v->y;
        res->z = a * v->z;
};

double vector_module(VECTOR *v) {
        double l2;
        
        l2 = (v->x * v->x) + (v->y * v->y) + (v->z * v->z);
        
        return sqrt(l2);
};

void vector_print(VECTOR *v, char *msg) {
        g_print("[%s : (%f %f %f)] ", msg, v->x, v->y, v->z);
};
