/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __VECTOR_H
#define __VECTOR_H

#include<glib.h>

typedef struct {
        double x;
        double y;
        double z;
} VECTOR;

void vector_set(VECTOR *v, double x, double y, double z);
void vector_copy(VECTOR *dst, VECTOR *src);
void vector_add(VECTOR *res, VECTOR *v1, VECTOR *v2);
void vector_sub(VECTOR *res, VECTOR *v1, VECTOR *v2);
void vector_scale(VECTOR *res, double a, VECTOR *v);
double vector_module(VECTOR *v);
void vector_print(VECTOR *v, char *msg);

#endif
