/* GPS 0.1 - Gravitational Particle Simulator
 * Copyright (C) 2000 by Fabio Mancinelli <mancinel@univaq.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef __VECTOR_DIALOG_H
#define __VECTOR_DIALOG_H

#include<gtk/gtk.h>
#include<gps.h>
#include<vector.h>

typedef struct {
        gint result;
        VECTOR v;
} VECTOR_DIALOG_DATA;

typedef struct {
        GtkWidget *window;
        GtkWidget *x;
        GtkWidget *y;
        GtkWidget *z;
        
        VECTOR_DIALOG_DATA data;
} VECTOR_DIALOG;


VECTOR_DIALOG *vector_dialog_new(gchar *title, VECTOR *v);
void vector_dialog_show(VECTOR_DIALOG *vector_dialog);
VECTOR_DIALOG_DATA *vector_dialog_get_data(VECTOR_DIALOG *vector_dialog);
void vector_dialog_free(VECTOR_DIALOG *vector_dialog);

#endif
